Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 Oct 2014, 22:29
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
ATI fglrx 8.40.4 video driver package for Puppy 3.00
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
kirk

Joined: 11 Nov 2005
Posts: 1419
Location: florida

PostPosted: Sun 30 Sep 2007, 08:13    Post subject:  ATI fglrx 8.40.4 video driver package for Puppy 3.00  

EDIT: There is a newer version of the fglrx driver that seems to have better rendering posted here:

http://www.murga-linux.com/puppy/viewtopic.php?p=156549#156549



Here's a pet package for Puppy 3.00 (2.6.21.7 kernel). It contains ATI's 8.40.4 fglrx video driver. Your /etc/X11/xorg.conf file will be modified, but a backup is made first, /etc/X11/xorg.conf.orginal-0. The missing GL libs will be installed too. Uninstalling using pet get should put things back to how they where. But, you should probably test by making a new pup_save file. After installing you'll have to restart X or reboot.

Note: After the fglrx driver is installed and is in use, you cannot restart X. If you try the file system becomes unstable. You must reboot.

To test if acceleration is working, open a terminal and type:

Quote:
# fgl_glxgears


Here's the release notes:

https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/linux_8.40.4.html

And here's the package (12MB):

http://dotpups.de/puppy3/dotpups/XServer/ATI_driver-8.40.4.pet

Big thanks to MU for hosting the file.


PS: If you want to test by booting up pfix=ram. You can, but petget has a bug, it will think you don't have enough space to install the package. You can work around this by modifying line 892 of /usr/sbin/petget. Change the 5 to a 1.

EXPNEEDB=`expr $EXPFILEB \* 1` #bz2 can expand up to x3, need twice temp space.

Last edited by kirk on Wed 28 Nov 2007, 00:15; edited 1 time in total
Back to top
View user's profile Send private message 
kirk

Joined: 11 Nov 2005
Posts: 1419
Location: florida

PostPosted: Mon 01 Oct 2007, 09:48    Post subject:  

It looks like the amdcccle (Catalyst Control Center Linux Edition) is not working in 8.40.4. Most people won't need it anyway.

The good news is that with Puppy's new Xorg setup the ATI installer actually works, you don't have to rearrange all the files (though I did that for the pet package). So If you really need amdcccle, grab an older version of the driver and follow the install instructions. You'll also need the devx file and the kernel source installed. Note, I haven't built one of the older drivers in 3.00 yet.
Back to top
View user's profile Send private message 
Bahurim


Joined: 07 Sep 2007
Posts: 34

PostPosted: Fri 02 Nov 2007, 11:41    Post subject:  

Kirk would you mind updating this with the new driver from ATI. I believe it is 8.42.3. It now supports AIGLX which is what compiz uses. That would be really sweet! Cool

The 8.40.4 driver you made works great on my puppy 3.01 installs and I would very much like to try and get compiz going also.
Back to top
View user's profile Send private message 
kirk

Joined: 11 Nov 2005
Posts: 1419
Location: florida

PostPosted: Fri 02 Nov 2007, 20:19    Post subject:  

Bahurim,

If you have the devx and kernel module sfs files, try ATI's installer. I think it will work with Puppy 3's new file structure.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0506s ][ Queries: 12 (0.0069s) ][ GZIP on ]